## net.dontdrinkandroot.utils
Enum ISO_3166_1_alpha2

    java.lang.Object
      java.lang.Enum<ISO_3166_1_alpha2>
          net.dontdrinkandroot.utils.ISO_3166_1_alpha2

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ISO_3166_1_alpha2>

    public enum ISO_3166_1_alpha2

extends java.lang.Enum<ISO_3166_1_alpha2>

This enumeration implements the following standard:

ISO 3166-1 alpha-2 codes are two-letter country codes defined in ISO 3166-1, part of the ISO 3166 standard published by the International Organization for Standardization (ISO), to represent countries, dependent territories, and special areas of geographical interest. They are the most widely used of the country codes published by ISO (the others being alpha-3 and numeric), and are used most prominently for the Internet's country code top-level domains (with a few exceptions). They were first included as part of the ISO 3166 standard in its first edition in 1974. (Source: Wikipedia)

Official List

It is annotated with `XmlEnumValue`s, so it can be de-/serialized using jaxb.

Author:
  Philip Sorst

Enum Constant Summary
`AD` Andorra.
`AE` United Arab Emirates.
`AF` Afghanistan.
`AG` Antigua and Barbuda.
`AI` Anguilla.
`AL` Albania.
`AM` Armenia.
`AN` Netherlands Antilles.
`AO` Angola.
`AQ` Antarctica.
`AR` Argentina.
`AS` American Samoa.
`AT` Austria.
`AU` Australia.
`AW` Aruba.
`AX` Åland Islands.
`AZ` Azerbaijan.
`BA` Bosnia and Herzegovina.
`BB` Barbados.
`BD` Bangladesh.
`BE` Belgium.
`BF` Burkina Faso.
`BG` Bulgaria.
`BH` Bahrain.
`BI` Burundi.
`BJ` Benin.
`BL` Saint Barthélemy.
`BM` Bermuda.
`BN` Brunei Darussalam.
`BO` Bolivia, Plurinational State of.
`BR` Brazil.
`BS` Bahamas.
`BT` Bhutan.
`BV` Bouvet Island.
`BW` Botswana.
`BY` Belarus.
`BZ` Belize.
`CA` Canada.
`CC` Cocos (Keeling) Islands.
`CD` Congo, The Democratic Republic of the.
`CF` Central African Republic.
`CG` Congo.
`CH` Switzerland.
`CI` Côte d'Ivoire.
`CK` Cook Islands.
`CL` Chile.
`CM` Cameroon.
`CN` China.
`CO` Colombia.
`CR` Costa Rica.
`CU` Cuba.
`CV` Cape Verde.
`CX` Christmas Island.
`CY` Cyprus.
`CZ` Czech Republic.
`DE` Germany.
`DJ` Djibouti.
`DK` Denmark.
`DM` Dominica.
`DO` Dominican Republic.
`DZ` Algeria.
`EC` Ecuador.
`EE` Estonia.
`EG` Egypt.
`EH` Western Sahara.
`EN` England.
`ER` Eritrea.
`ES` Spain.
`ET` Ethiopia.
`FI` Finland.
`FJ` Fiji.
`FK` Falkland Islands (Malvinas).
`FM` Micronesia, Federated States of.
`FO` Faroe Islands.
`FR` France.
`GA` Gabon.
`GB` United Kingdom.
`GD` Grenada.
`GE` Georgia.
`GF` French Guiana.
`GG` Guernsey.
`GH` Ghana.
`GI` Gibraltar.
`GL` Greenland.
`GM` Gambia.
`GN` Guinea.
`GP` Guadeloupe.
`GQ` Equatorial Guinea.
`GR` Greece.
`GS` South Georgia and the South Sandwich Islands.
`GT` Guatemala.
`GU` Guam.
`GW` Guinea-Bissau.
`GY` Guyana.
`HK` Hong Kong.
`HM` Heard Island and McDonald Islands.
`HN` Honduras.
`HR` Croatia.
`HT` Haiti.
`HU` Hungary.
`ID` Indonesia.
`IE` Ireland.
`IL` Israel.
`IM` Isle of Man.
`IN` India.
`IO` British Indian Ocean Territory.
`IQ` Iraq.
`IR` Iran, Islamic Republic of.
`IS` Iceland.
`IT` Italy.
`JE` Jersey.
`JM` Jamaica.
`JO` Jordan.
`JP` Japan.
`KE` Kenya.
`KG` Kyrgyzstan.
`KH` Cambodia.
`KI` Kiribati.
`KM` Comoros.
`KN` Saint Kitts and Nevis.
`KP` Korea, Democratic People's Republic of.
`KR` Korea, Republic of.
`KW` Kuwait.
`KY` Cayman Islands.
`KZ` Kazakhstan.
`LA` Lao People's Democratic Republic.
`LB` Lebanon.
`LC` Saint Lucia.
`LI` Liechtenstein.
`LK` Sri Lanka.
`LR` Liberia.
`LS` Lesotho.
`LT` Lithuania.
`LU` Luxembourg.
`LV` Latvia.
`LY` Libyan Arab Jamahiriya.
`MA` Morocco.
`MC` Monaco.
`MD` Moldova, Republic of.
`ME` Montenegro.
`MF` Saint Martin.
`MG` Madagascar.
`MH` Marshall Islands.
`MK` Macedonia, The Former Yugoslav Republic of.
`ML` Mali.
`MM` Myanmar.
`MN` Mongolia.
`MO` Macao.
`MP` Northern Mariana Islands.
`MQ` Martinique.
`MR` Mauritania.
`MS` Montserrat.
`MT` Malta.
`MU` Mauritius.
`MV` Maldives.
`MW` Malawi.
`MX` Mexico.
`MY` Malaysia.
`MZ` Mozambique.
`NA` Namibia.
`NC` New Caledonia.
`NE` Niger.
`NF` Norfolk Island.
`NG` Nigeria.
`NI` Nicaragua.
`NL` Netherlands.
`NO` Norway.
`NP` Nepal.
`NR` Nauru.
`NU` Niue.
`NZ` New Zealand.
`OM` Oman.
`PA` Panama.
`PE` Peru.
`PF` French Polynesia.
`PG` Papua New Guinea.
`PH` Philippines.
`PK` Pakistan.
`PL` Poland.
`PM` Saint Pierre and Miquelon.
`PN` Pitcairn.
`PR` Puerto Rico.
`PS` Palestinian Territory, Occupied.
`PT` Portugal.
`PW` Palau.
`PY` Paraguay.
`QA` Qatar.
`RE` Réunion.
`RO` Romania.
`RS` Serbia.
`RU` Russian Federation.
`RW` Rwanda.
`SA` Saudi Arabia.
`SB` Solomon Islands.
`SC` Seychelles.
`SD` Sudan.
`SE` Sweden.
`SG` Singapore.
`SH` Saint Helena.
`SI` Slovenia.
`SJ` Svalbard and Jan Mayen.
`SK` Slovakia.
`SL` Sierra Leone.
`SM` San Marino.
`SN` Senegal.
`SO` Somalia.
`SR` Suriname.
`ST` Sao Tome and Principe.
`SV` El Salvador.
`SY` Syrian Arab Republic.
`SZ` Swaziland.
`TC` Turks and Caicos Islands.
`TD` Chad.
`TF` French Southern Territories.
`TG` Togo.
`TH` Thailand.
`TJ` Tajikistan.
`TK` Tokelau.
`TL` Timor-Leste.
`TM` Turkmenistan.
`TN` Tunisia.
`TO` Tonga.
`TR` Turkey.
`TT` Trinidad and Tobago.
`TV` Tuvalu.
`TW` Taiwan, Province of China.
`TZ` Tanzania, United Republic of.
`UA` Ukraine.
`UG` Uganda.
`UK` United Kingdom.
`UM` United States Minor Outlying Islands.
`US` United States.
`UY` Uruguay.
`UZ` Uzbekistan.
`VA` Holy See (Vatican City State).
`VC` Saint Vincent and the Grenadines.
`VE` Venezuela, Bolivarian Republic of.
`VG` Virgin Islands, British.
`VI` Virgin Islands, U.S..
`VN` Viet Nam.
`VU` Vanuatu.
`WF` Wallis and Futuna.
`WS` Samoa.
`YE` Yemen.
`YT` Mayotte.
`ZA` South Africa.
`ZM` Zambia.
`ZW` Zimbabwe.

Method Summary
`java.lang.String` `getName()` Retrieve the country name.
`static ISO_3166_1_alpha2` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ISO_3166_1_alpha2[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AF

    public static final ISO_3166_1_alpha2 AF

  Afghanistan.

### AX

    public static final ISO_3166_1_alpha2 AX

  Åland Islands.

### AL

    public static final ISO_3166_1_alpha2 AL

  Albania.

### DZ

    public static final ISO_3166_1_alpha2 DZ

  Algeria.

### AS

    public static final ISO_3166_1_alpha2 AS

  American Samoa.

### AD

    public static final ISO_3166_1_alpha2 AD

  Andorra.

### AO

    public static final ISO_3166_1_alpha2 AO

  Angola.

### AI

    public static final ISO_3166_1_alpha2 AI

  Anguilla.

### AQ

    public static final ISO_3166_1_alpha2 AQ

  Antarctica.

### AG

    public static final ISO_3166_1_alpha2 AG

  Antigua and Barbuda.

### AR

    public static final ISO_3166_1_alpha2 AR

  Argentina.

### AM

    public static final ISO_3166_1_alpha2 AM

  Armenia.

### AW

    public static final ISO_3166_1_alpha2 AW

  Aruba.

### AU

    public static final ISO_3166_1_alpha2 AU

  Australia.

### AT

    public static final ISO_3166_1_alpha2 AT

  Austria.

### AZ

    public static final ISO_3166_1_alpha2 AZ

  Azerbaijan.

### BS

    public static final ISO_3166_1_alpha2 BS

  Bahamas.

### BH

    public static final ISO_3166_1_alpha2 BH

  Bahrain.

### BD

    public static final ISO_3166_1_alpha2 BD

  Bangladesh.

### BB

    public static final ISO_3166_1_alpha2 BB

  Barbados.

### BY

    public static final ISO_3166_1_alpha2 BY

  Belarus.

### BE

    public static final ISO_3166_1_alpha2 BE

  Belgium.

### BZ

    public static final ISO_3166_1_alpha2 BZ

  Belize.

### BJ

    public static final ISO_3166_1_alpha2 BJ

  Benin.

### BM

    public static final ISO_3166_1_alpha2 BM

  Bermuda.

### BT

    public static final ISO_3166_1_alpha2 BT

  Bhutan.

### BO

    public static final ISO_3166_1_alpha2 BO

  Bolivia, Plurinational State of.

### BA

    public static final ISO_3166_1_alpha2 BA

  Bosnia and Herzegovina.

### BW

    public static final ISO_3166_1_alpha2 BW

  Botswana.

### BV

    public static final ISO_3166_1_alpha2 BV

  Bouvet Island.

### BR

    public static final ISO_3166_1_alpha2 BR

  Brazil.

### IO

    public static final ISO_3166_1_alpha2 IO

  British Indian Ocean Territory.

### BN

    public static final ISO_3166_1_alpha2 BN

  Brunei Darussalam.

### BG

    public static final ISO_3166_1_alpha2 BG

  Bulgaria.

### BF

    public static final ISO_3166_1_alpha2 BF

  Burkina Faso.

### BI

    public static final ISO_3166_1_alpha2 BI

  Burundi.

### KH

    public static final ISO_3166_1_alpha2 KH

  Cambodia.

### CM

    public static final ISO_3166_1_alpha2 CM

  Cameroon.

### CA

    public static final ISO_3166_1_alpha2 CA

  Canada.

### CV

    public static final ISO_3166_1_alpha2 CV

  Cape Verde.

### KY

    public static final ISO_3166_1_alpha2 KY

  Cayman Islands.

### CF

    public static final ISO_3166_1_alpha2 CF

  Central African Republic.

### TD

    public static final ISO_3166_1_alpha2 TD

  Chad.

### CL

    public static final ISO_3166_1_alpha2 CL

  Chile.

### CN

    public static final ISO_3166_1_alpha2 CN

  China.

### CX

    public static final ISO_3166_1_alpha2 CX

  Christmas Island.

### CC

    public static final ISO_3166_1_alpha2 CC

  Cocos (Keeling) Islands.

### CO

    public static final ISO_3166_1_alpha2 CO

  Colombia.

### KM

    public static final ISO_3166_1_alpha2 KM

  Comoros.

### CG

    public static final ISO_3166_1_alpha2 CG

  Congo.

### CD

    public static final ISO_3166_1_alpha2 CD

  Congo, The Democratic Republic of the.

### CK

    public static final ISO_3166_1_alpha2 CK

  Cook Islands.

### CR

    public static final ISO_3166_1_alpha2 CR

  Costa Rica.

### CI

    public static final ISO_3166_1_alpha2 CI

  Côte d'Ivoire.

### HR

    public static final ISO_3166_1_alpha2 HR

  Croatia.

### CU

    public static final ISO_3166_1_alpha2 CU

  Cuba.

### CY

    public static final ISO_3166_1_alpha2 CY

  Cyprus.

### CZ

    public static final ISO_3166_1_alpha2 CZ

  Czech Republic.

### DK

    public static final ISO_3166_1_alpha2 DK

  Denmark.

### DJ

    public static final ISO_3166_1_alpha2 DJ

  Djibouti.

### DM

    public static final ISO_3166_1_alpha2 DM

  Dominica.

### DO

    public static final ISO_3166_1_alpha2 DO

  Dominican Republic.

### EC

    public static final ISO_3166_1_alpha2 EC

  Ecuador.

### EG

    public static final ISO_3166_1_alpha2 EG

  Egypt.

### SV

    public static final ISO_3166_1_alpha2 SV

  El Salvador.

### GQ

    public static final ISO_3166_1_alpha2 GQ

  Equatorial Guinea.

### ER

    public static final ISO_3166_1_alpha2 ER

  Eritrea.

### EE

    public static final ISO_3166_1_alpha2 EE

  Estonia.

### ET

    public static final ISO_3166_1_alpha2 ET

  Ethiopia.

### FK

    public static final ISO_3166_1_alpha2 FK

  Falkland Islands (Malvinas).

### FO

    public static final ISO_3166_1_alpha2 FO

  Faroe Islands.

### FJ

    public static final ISO_3166_1_alpha2 FJ

  Fiji.

### FI

    public static final ISO_3166_1_alpha2 FI

  Finland.

### FR

    public static final ISO_3166_1_alpha2 FR

  France.

### GF

    public static final ISO_3166_1_alpha2 GF

  French Guiana.

### PF

    public static final ISO_3166_1_alpha2 PF

  French Polynesia.

### TF

    public static final ISO_3166_1_alpha2 TF

  French Southern Territories.

### GA

    public static final ISO_3166_1_alpha2 GA

  Gabon.

### GM

    public static final ISO_3166_1_alpha2 GM

  Gambia.

### GE

    public static final ISO_3166_1_alpha2 GE

  Georgia.

### DE

    public static final ISO_3166_1_alpha2 DE

  Germany.

### GH

    public static final ISO_3166_1_alpha2 GH

  Ghana.

### GI

    public static final ISO_3166_1_alpha2 GI

  Gibraltar.

### GR

    public static final ISO_3166_1_alpha2 GR

  Greece.

### GL

    public static final ISO_3166_1_alpha2 GL

  Greenland.

### GD

    public static final ISO_3166_1_alpha2 GD

  Grenada.

### GP

    public static final ISO_3166_1_alpha2 GP

  Guadeloupe.

### GU

    public static final ISO_3166_1_alpha2 GU

  Guam.

### GT

    public static final ISO_3166_1_alpha2 GT

  Guatemala.

### GG

    public static final ISO_3166_1_alpha2 GG

  Guernsey.

### GN

    public static final ISO_3166_1_alpha2 GN

  Guinea.

### GW

    public static final ISO_3166_1_alpha2 GW

  Guinea-Bissau.

### GY

    public static final ISO_3166_1_alpha2 GY

  Guyana.

### HT

    public static final ISO_3166_1_alpha2 HT

  Haiti.

### HM

    public static final ISO_3166_1_alpha2 HM

  Heard Island and McDonald Islands.

### VA

    public static final ISO_3166_1_alpha2 VA

  Holy See (Vatican City State).

### HN

    public static final ISO_3166_1_alpha2 HN

  Honduras.

### HK

    public static final ISO_3166_1_alpha2 HK

  Hong Kong.

### HU

    public static final ISO_3166_1_alpha2 HU

  Hungary.

### IS

    public static final ISO_3166_1_alpha2 IS

  Iceland.

### IN

    public static final ISO_3166_1_alpha2 IN

  India.

### ID

    public static final ISO_3166_1_alpha2 ID

  Indonesia.

### IR

    public static final ISO_3166_1_alpha2 IR

  Iran, Islamic Republic of.

### IQ

    public static final ISO_3166_1_alpha2 IQ

  Iraq.

### IE

    public static final ISO_3166_1_alpha2 IE

  Ireland.

### IM

    public static final ISO_3166_1_alpha2 IM

  Isle of Man.

### IL

    public static final ISO_3166_1_alpha2 IL

  Israel.

### IT

    public static final ISO_3166_1_alpha2 IT

  Italy.

### JM

    public static final ISO_3166_1_alpha2 JM

  Jamaica.

### JP

    public static final ISO_3166_1_alpha2 JP

  Japan.

### JE

    public static final ISO_3166_1_alpha2 JE

  Jersey.

### JO

    public static final ISO_3166_1_alpha2 JO

  Jordan.

### KZ

    public static final ISO_3166_1_alpha2 KZ

  Kazakhstan.

### KE

    public static final ISO_3166_1_alpha2 KE

  Kenya.

### KI

    public static final ISO_3166_1_alpha2 KI

  Kiribati.

### KP

    public static final ISO_3166_1_alpha2 KP

  Korea, Democratic People's Republic of.

### KR

    public static final ISO_3166_1_alpha2 KR

  Korea, Republic of.

### KW

    public static final ISO_3166_1_alpha2 KW

  Kuwait.

### KG

    public static final ISO_3166_1_alpha2 KG

  Kyrgyzstan.

### LA

    public static final ISO_3166_1_alpha2 LA

  Lao People's Democratic Republic.

### LV

    public static final ISO_3166_1_alpha2 LV

  Latvia.

### LB

    public static final ISO_3166_1_alpha2 LB

  Lebanon.

### LS

    public static final ISO_3166_1_alpha2 LS

  Lesotho.

### LR

    public static final ISO_3166_1_alpha2 LR

  Liberia.

### LY

    public static final ISO_3166_1_alpha2 LY

  Libyan Arab Jamahiriya.

### LI

    public static final ISO_3166_1_alpha2 LI

  Liechtenstein.

### LT

    public static final ISO_3166_1_alpha2 LT

  Lithuania.

### LU

    public static final ISO_3166_1_alpha2 LU

  Luxembourg.

### MO

    public static final ISO_3166_1_alpha2 MO

  Macao.

### MK

    public static final ISO_3166_1_alpha2 MK

  Macedonia, The Former Yugoslav Republic of.

### MG

    public static final ISO_3166_1_alpha2 MG

  Madagascar.

### MW

    public static final ISO_3166_1_alpha2 MW

  Malawi.

### MY

    public static final ISO_3166_1_alpha2 MY

  Malaysia.

### MV

    public static final ISO_3166_1_alpha2 MV

  Maldives.

### ML

    public static final ISO_3166_1_alpha2 ML

  Mali.

### MT

    public static final ISO_3166_1_alpha2 MT

  Malta.

### MH

    public static final ISO_3166_1_alpha2 MH

  Marshall Islands.

### MQ

    public static final ISO_3166_1_alpha2 MQ

  Martinique.

### MR

    public static final ISO_3166_1_alpha2 MR

  Mauritania.

### MU

    public static final ISO_3166_1_alpha2 MU

  Mauritius.

### YT

    public static final ISO_3166_1_alpha2 YT

  Mayotte.

### MX

    public static final ISO_3166_1_alpha2 MX

  Mexico.

### FM

    public static final ISO_3166_1_alpha2 FM

  Micronesia, Federated States of.

### MD

    public static final ISO_3166_1_alpha2 MD

  Moldova, Republic of.

### MC

    public static final ISO_3166_1_alpha2 MC

  Monaco.

### MN

    public static final ISO_3166_1_alpha2 MN

  Mongolia.

### ME

    public static final ISO_3166_1_alpha2 ME

  Montenegro.

### MS

    public static final ISO_3166_1_alpha2 MS

  Montserrat.

### MA

    public static final ISO_3166_1_alpha2 MA

  Morocco.

### MZ

    public static final ISO_3166_1_alpha2 MZ

  Mozambique.

### MM

    public static final ISO_3166_1_alpha2 MM

  Myanmar.

### NA

    public static final ISO_3166_1_alpha2 NA

  Namibia.

### NR

    public static final ISO_3166_1_alpha2 NR

  Nauru.

### NP

    public static final ISO_3166_1_alpha2 NP

  Nepal.

### NL

    public static final ISO_3166_1_alpha2 NL

  Netherlands.

### AN

    public static final ISO_3166_1_alpha2 AN

  Netherlands Antilles.

### NC

    public static final ISO_3166_1_alpha2 NC

  New Caledonia.

### NZ

    public static final ISO_3166_1_alpha2 NZ

  New Zealand.

### NI

    public static final ISO_3166_1_alpha2 NI

  Nicaragua.

### NE

    public static final ISO_3166_1_alpha2 NE

  Niger.

### NG

    public static final ISO_3166_1_alpha2 NG

  Nigeria.

### NU

    public static final ISO_3166_1_alpha2 NU

  Niue.

### NF

    public static final ISO_3166_1_alpha2 NF

  Norfolk Island.

### MP

    public static final ISO_3166_1_alpha2 MP

  Northern Mariana Islands.

### NO

    public static final ISO_3166_1_alpha2 NO

  Norway.

### OM

    public static final ISO_3166_1_alpha2 OM

  Oman.

### PK

    public static final ISO_3166_1_alpha2 PK

  Pakistan.

### PW

    public static final ISO_3166_1_alpha2 PW

  Palau.

### PS

    public static final ISO_3166_1_alpha2 PS

  Palestinian Territory, Occupied.

### PA

    public static final ISO_3166_1_alpha2 PA

  Panama.

### PG

    public static final ISO_3166_1_alpha2 PG

  Papua New Guinea.

### PY

    public static final ISO_3166_1_alpha2 PY

  Paraguay.

### PE

    public static final ISO_3166_1_alpha2 PE

  Peru.

### PH

    public static final ISO_3166_1_alpha2 PH

  Philippines.

### PN

    public static final ISO_3166_1_alpha2 PN

  Pitcairn.

### PL

    public static final ISO_3166_1_alpha2 PL

  Poland.

### PT

    public static final ISO_3166_1_alpha2 PT

  Portugal.

### PR

    public static final ISO_3166_1_alpha2 PR

  Puerto Rico.

### QA

    public static final ISO_3166_1_alpha2 QA

  Qatar.

### RE

    public static final ISO_3166_1_alpha2 RE

  Réunion.

### RO

    public static final ISO_3166_1_alpha2 RO

  Romania.

### RU

    public static final ISO_3166_1_alpha2 RU

  Russian Federation.

### RW

    public static final ISO_3166_1_alpha2 RW

  Rwanda.

### BL

    public static final ISO_3166_1_alpha2 BL

  Saint Barthélemy.

### SH

    public static final ISO_3166_1_alpha2 SH

  Saint Helena.

### KN

    public static final ISO_3166_1_alpha2 KN

  Saint Kitts and Nevis.

### LC

    public static final ISO_3166_1_alpha2 LC

  Saint Lucia.

### MF

    public static final ISO_3166_1_alpha2 MF

  Saint Martin.

### PM

    public static final ISO_3166_1_alpha2 PM

  Saint Pierre and Miquelon.

### VC

    public static final ISO_3166_1_alpha2 VC

  Saint Vincent and the Grenadines.

### WS

    public static final ISO_3166_1_alpha2 WS

  Samoa.

### SM

    public static final ISO_3166_1_alpha2 SM

  San Marino.

### ST

    public static final ISO_3166_1_alpha2 ST

  Sao Tome and Principe.

### SA

    public static final ISO_3166_1_alpha2 SA

  Saudi Arabia.

### SN

    public static final ISO_3166_1_alpha2 SN

  Senegal.

### RS

    public static final ISO_3166_1_alpha2 RS

  Serbia.

### SC

    public static final ISO_3166_1_alpha2 SC

  Seychelles.

### SL

    public static final ISO_3166_1_alpha2 SL

  Sierra Leone.

### SG

    public static final ISO_3166_1_alpha2 SG

  Singapore.

### SK

    public static final ISO_3166_1_alpha2 SK

  Slovakia.

### SI

    public static final ISO_3166_1_alpha2 SI

  Slovenia.

### SB

    public static final ISO_3166_1_alpha2 SB

  Solomon Islands.

### SO

    public static final ISO_3166_1_alpha2 SO

  Somalia.

### ZA

    public static final ISO_3166_1_alpha2 ZA

  South Africa.

### GS

    public static final ISO_3166_1_alpha2 GS

  South Georgia and the South Sandwich Islands.

### ES

    public static final ISO_3166_1_alpha2 ES

  Spain.

### LK

    public static final ISO_3166_1_alpha2 LK

  Sri Lanka.

### SD

    public static final ISO_3166_1_alpha2 SD

  Sudan.

### SR

    public static final ISO_3166_1_alpha2 SR

  Suriname.

### SJ

    public static final ISO_3166_1_alpha2 SJ

  Svalbard and Jan Mayen.

### SZ

    public static final ISO_3166_1_alpha2 SZ

  Swaziland.

### SE

    public static final ISO_3166_1_alpha2 SE

  Sweden.

### CH

    public static final ISO_3166_1_alpha2 CH

  Switzerland.

### SY

    public static final ISO_3166_1_alpha2 SY

  Syrian Arab Republic.

### TW

    public static final ISO_3166_1_alpha2 TW

  Taiwan, Province of China.

### TJ

    public static final ISO_3166_1_alpha2 TJ

  Tajikistan.

### TZ

    public static final ISO_3166_1_alpha2 TZ

  Tanzania, United Republic of.

### TH

    public static final ISO_3166_1_alpha2 TH

  Thailand.

### TL

    public static final ISO_3166_1_alpha2 TL

  Timor-Leste.

### TG

    public static final ISO_3166_1_alpha2 TG

  Togo.

### TK

    public static final ISO_3166_1_alpha2 TK

  Tokelau.

### TO

    public static final ISO_3166_1_alpha2 TO

  Tonga.

### TT

    public static final ISO_3166_1_alpha2 TT

  Trinidad and Tobago.

### TN

    public static final ISO_3166_1_alpha2 TN

  Tunisia.

### TR

    public static final ISO_3166_1_alpha2 TR

  Turkey.

### TM

    public static final ISO_3166_1_alpha2 TM

  Turkmenistan.

### TC

    public static final ISO_3166_1_alpha2 TC

  Turks and Caicos Islands.

### TV

    public static final ISO_3166_1_alpha2 TV

  Tuvalu.

### UG

    public static final ISO_3166_1_alpha2 UG

  Uganda.

### UA

    public static final ISO_3166_1_alpha2 UA

  Ukraine.

### AE

    public static final ISO_3166_1_alpha2 AE

  United Arab Emirates.

### EN

    public static final ISO_3166_1_alpha2 EN

  England. This is not officially supported by the standard but provided for compatibility.

### GB

    public static final ISO_3166_1_alpha2 GB

  United Kingdom.

### UK

    public static final ISO_3166_1_alpha2 UK

  United Kingdom. This is not officially supported by the standard but provided for compatibility.

### US

    public static final ISO_3166_1_alpha2 US

  United States.

### UM

    public static final ISO_3166_1_alpha2 UM

  United States Minor Outlying Islands.

### UY

    public static final ISO_3166_1_alpha2 UY

  Uruguay.

### UZ

    public static final ISO_3166_1_alpha2 UZ

  Uzbekistan.

### VU

    public static final ISO_3166_1_alpha2 VU

  Vanuatu.

### VE

    public static final ISO_3166_1_alpha2 VE

  Venezuela, Bolivarian Republic of.

### VN

    public static final ISO_3166_1_alpha2 VN

  Viet Nam.

### VG

    public static final ISO_3166_1_alpha2 VG

  Virgin Islands, British.

### VI

    public static final ISO_3166_1_alpha2 VI

  Virgin Islands, U.S..

### WF

    public static final ISO_3166_1_alpha2 WF

  Wallis and Futuna.

### EH

    public static final ISO_3166_1_alpha2 EH

  Western Sahara.

### YE

    public static final ISO_3166_1_alpha2 YE

  Yemen.

### ZM

    public static final ISO_3166_1_alpha2 ZM

  Zambia.

### ZW

    public static final ISO_3166_1_alpha2 ZW

  Zimbabwe.

Method Detail

### values

    public static ISO_3166_1_alpha2[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ISO_3166_1_alpha2 c : ISO_3166_1_alpha2.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ISO_3166_1_alpha2 valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getName

    public java.lang.String getName()

  Retrieve the country name.

  Returns:
    The country name.

Copyright © 2013 dontdrinkandroot. All Rights Reserved.